[Previous] [Next] [Up] [Top]

### NAME

ft_cardpar,ft_cardget,ft_cardgetl,ft_cardgeti,ft_cardgetr,ft_cardgets -Fitsy FITS card parsing routines.

### SYNOPSIS

    char *ft_cardpar(FITSCard card, FITSType *type, char *value, int *index, char *comm);
    char *ft_cardget(FITSCard card);
    int ft_cardgetl(FITSCard card);
    int ft_cardgeti(FITSCard card);
    double ft_cardgetr(FITSCard card);
    char *ft_cardgets(FITSCard card);

### PARAMETERS

- FITSCard card - FITS card to parse.
- FITSType *type - Returned card type.

  Possible values for a FITSType are as follows:

  - FT_COMMENT
  - FT_LOGICAL
  - FT_INTEGER
  - FT_STRING
  - FT_VALUE
  - FT_REAL
  - FT_COMPLEX

- char *value - Returned card value string.
- int *index - Returned index of the card keyword.
- char *comm - Returned card comment.

### DESCRIPTION

These routines parse FITS cards. Usually the header value routines will be used instead of these.

#### ft_cardpar

Parse a FITS card in to its type, value index and comment parts

The ft_cardpar will parse an 80 character fits card in memory into its parts according to the standard. Some non-standard card formats are recognized.

#### ft_cardget

Return the value of a FITS card in a static buffer.

#### ft_cardgetl

Return the value of a FITS card as a logical.

#### ft_cardgeti

Return the value of a FITS card as a integer.

#### ft_cardgetr

Return the value of a FITS card as a double.

#### ft_cardgets

Return the value of a FITS card as a allocated string.

The returned string is allocated with strdup().

### RETURNS

#### ft_cardpar

The value parameter.

### EXAMPLES

                    FITSHead        fits;
                    FITSCard        card;
                    FITSType        type;
                    char            value[FT_CARDLEN];
                    int             index;
                    char            comment[FT_CARDLEN];

                    int             im;     /* Is this a primary image? */

            ft_cardpar(card, &type, value, &index, comm);

            card = ft_headfind(fits, "SIMPLE", 0, 0);

            im = ft_cardgetl(card);

[Previous] [Next] [Up] [Top]